Update a hierarchy metadata.
PUT /users/site/hierarchyMetadata/{hierarchyId}
Operation id: SiteService_UpdateHierarchyMetadata
Description
Permission Level: Read-Write
Tags: SiteService
Parameters
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
hierarchyId | string | Yes | HierarchyId of the hierarchy, unique to the tenant. Required: true |
Security
- Authorization (apiKey)
- Bearer token
Responses
200 — A successful response.
Content type: application/json
default — An unexpected error response.
Content type: application/json
Request body
Required: Yes
application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
tenantId | string | No | |
displayName | string | No | |
description | string | No | |
updateHierarchyMetadataActiveToggle | object | No | |
updateLevels | array | No | |
updateFieldMask | string | No |
{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"displayName": {
"type": "string"
},
"description": {
"type": "string"
},
"updateHierarchyMetadataActiveToggle": {
"type": "object",
"properties": {
"active": {
"type": "boolean"
}
}
},
"updateLevels": {
"type": "array",
"items": {
"type": "object",
"properties": {
"levelName": {
"type": "string"
},
"displayName": {
"type": "string"
},
"order": {
"type": "integer",
"format": "int32"
}
}
}
},
"updateFieldMask": {
"type": "string"
}
}
}
Response models
200 — A successful response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
hierarchyMetadata | object | No |
{
"type": "object",
"properties": {
"hierarchyMetadata": {
"type": "object",
"properties": {
"tenantId": {
"type": "string",
"description": "TenantId of the hierarchy."
},
"hierarchyId": {
"type": "string",
"description": "HierarchyId of the hierarchy."
},
"displayName": {
"type": "string",
"description": "Display name of the hierarchy."
},
"description": {
"type": "string",
"description": "Description of the hierarchy."
},
"active": {
"type": "boolean",
"description": "Active status of hierarchy."
},
"levels": {
"type": "array",
"description": "Levels of hierarchy.",
"items": {
"type": "object",
"properties": {
"levelName": {
"type": "string"
},
"displayName": {
"type": "string"
},
"order": {
"type": "integer",
"format": "int32"
},
"creationTime": {
"type": "string",
"format": "date-time"
},
"lastUpdated": {
"type": "string",
"format": "date-time"
}
}
}
},
"creationTime": {
"type": "string",
"format": "date-time"
},
"lastUpdated": {
"type": "string",
"format": "date-time"
}
}
}
}
}
default — An unexpected error response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer (int32) | No | |
message | string | No | |
details | array | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"format": "int32"
},
"message": {
"type": "string"
},
"details": {
"type": "array",
"items": {
"type": "object",
"properties": {
"@type": {
"type": "string"
}
}
}
}
}
}